<?php
namespace App\Apollo\StructureParser\Structures\Ticketing;

class Supplier extends \App\Apollo\StructureParser\Structures\Base\Supplier {
    protected function _getData() {
        list($parsedStructure, $transactionType, $transactionIndexes) = $this->getTransactionDetails();

        $item = new \App\Apollo\StructureParser\Types\Supplier();

        $item->codeAirline = $parsedStructure['header']['line1']['T50ISS']['T50ISC'];
        $item->code3 = $parsedStructure['header']['line1']['T50ISS']['T50ISA'];
        $item->name = $parsedStructure['header']['line1']['T50ISS']['T50ISN'];

        return $item;
    }
}
